#include <bits/stdc++.h>
using namespace std;

int main() 
{
 long long n,m,a[100001],b[100001],c,i,j,k,d;
 string s;
 cin >> s;
 cin >> n;
 for(i=1;i<=s.length();i++)
 a[i]=int(s[i-1]);
 b[1]=0;
 for(i=2;i<=s.length();i++)
 {
 b[i]=b[i-1];
 if(a[i]<a[i-1])
 b[i]=b[i]+1;    
 }
 for(i=1;i<=n;i++)
 {
 cin >> c >> d;
 cout << b[d]-b[c]+1 << endl;
 }
}
